%global pypi_name Flask
%global pkg_name flask
%global _description %{expand:
Flask is called a “micro-framework” because the idea to keep the core
simple but extensible. There is no database abstraction layer, no form
validation or anything else where different libraries already exist
that can handle that. However Flask knows the concept of extensions
that can add this functionality into your application as if it was
implemented in Flask itself. There are currently extensions for object
relational mappers, form validation, upload handling, various open
authentication technologies and more.}

Summary:        A micro-framework for Python based on Werkzeug, Jinja 2 and good intentions
Name:           python-%{pkg_name}
Version: 2.2.5
Release: 2%{?dist}
License:        BSD
URL:            http://flask.pocoo.org/
Source0:        %{pypi_source}

BuildArch:      noarch

%description %{_description}

%package -n python3-%{pkg_name}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-werkzeug python3-jinja2 python3-itsdangerous python3-click
BuildRequires:  python3-pytest

%description -n python3-%{pkg_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%pytest

%files -n python3-%{pkg_name}
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{_bindir}/*
%{python3_sitelib}/*

%changelog
* Wed Sep 20 2023 Shuo Wang <abushwang@tencent.com> - 2.2.5-2
- Rebuilt for python 3.11

* Tue Sep 19 2023 cunshunxia <cunshunxia@tencent.com> - 2.2.5-1
- upgrade to 2.2.5

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1:2.1.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1:2.1.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1:2.1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 kianli <kianli@tencent.com> - 2.1.3-2
- remove .gitignore and .code.yml

* Wed Apr 19 2023 kianli <kianli@tencent.com> - 2.1.3-1
- initial build
